Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CosEventChannelAdmin::ProxyPullSupplier Interface Reference

Interface used by pull-style consumers. More...

`import "CosEventChannelAdmin.idl";`

Inheritance diagram for CosEventChannelAdmin::ProxyPullSupplier:

[legend]
Collaboration diagram for CosEventChannelAdmin::ProxyPullSupplier:

[legend]
List of all members.

## Public Methods
void | connect_pull_consumer (in CosEventComm::PullConsumer pull_consumer) raises (AlreadyConnected)
| Connect a pull consumer to the Event Service.

## Detailed Description

Interface used by pull-style consumers.

Pull-style suppliers use this interface to connect and disconnect from the Event Service.

The disconnect_pull_supplier() operation, derived from CosEventComm::PullSupplier, is used by the application to disconnect from the Event Service. The application can use the pull() and try_pull() operations to pull data from the Event Service.

## Member Function Documentation

void CosEventChannelAdmin::ProxyPullSupplier::connect_pull_consumer | ( | in CosEventComm::PullConsumer | pull_consumer | ) | raises (AlreadyConnected)

  | Connect a pull consumer to the Event Service. Applications cannot pull events before this operation is invoked. Parameters:
  pull_consumer | Callback interface used to inform the the application when the Event Service is destroyed. The argument can be nil.
  Exceptions:
  AlreadyConnected | if the operation is called a second time.

The documentation for this interface was generated from the following file:

- CosEventChannelAdmin.idl